import {
  select,
  geoPath,
  geoNaturalEarth1,
  zoom,
  event
} from 'd3';


import { loadAndProcessData } from './loadAndProcessData';

const svg = select('svg');

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

const g = svg.append('g');

g.append('path')
    .attr('class', 'sphere')
    .attr('d', pathGenerator({type: 'Sphere'}));

svg.call(zoom().on('zoom', () => {
  g.attr('transform', event.transform);
}));

loadAndProcessData().then(countries => {
g.selectAll('path').data(countries.features)
  .enter().append('path')
    .attr('class', 'country')
    .attr('d', pathGenerator)
    .attr('fill', 'red')
  .append('title')
    .text(d => d.properties.name);
  
});